/*
 * Copyright 2013 Agustina Martinez-Garcia

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
 */
package uk.ljmu.fedoraifz.restrequests;

public interface FedoraOperationsAPIA {
    /**
     * 
     * @param terms
     * @param query
     * @param maxresults
     * @param sessiontoken
     * @param resultformat
     * @return
     */
    public String findObjects(String terms, 
	    String query, 
	    Integer maxresults, 
	    String sessiontoken, 
	    String resultformat);
    /**
     * 
     * @param pid
     * @param format
     * @param asofdatetime
     * @return
     */
    public String listDatastreams(String pid, 
	    String format, 
	    String asofdatetime);
    /**
     * 
     * @param pid
     * @param format
     * @param asofdatetime
     * @return
     */
    public String getObjectProfile(String pid, String format, String asofdatetime);
    
    public void closeHttpConnections();
}
