/*
 * Copyright 2013 Agustina Martinez-Garcia

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
 */
package uk.ljmu.mulgaraifz.main;

//import org.igfay.jfig.JFig;
//import org.igfay.jfig.JFigException;
//import org.mulgara.query.QueryException;

import uk.ljmu.mulgaraifz.errorhandling.MulgaraException;
import uk.ljmu.mulgaraifz.httprequests.HttpManagement;

public class Main {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
	//String path;
		
		try {
			//JFig.initialize();
			//path = JFig.getInstance().getValue("mulgaraServer", "service");
			//MulgaraGraphServiceImpl gService = new MulgaraGraphServiceImpl();
			//gService.loadParameters("test.txt", "manolo");
			//HttpManagement httpMan = new HttpManagement(path);
			HttpManagement httpMan = HttpManagement.getInstance();
			httpMan.httpSparqlQuery("", "rdfxml");
		//} catch (JFigException e) {
		//	e.printStackTrace();
			//path = "http://localhost:8091/sparql/";
		} catch (MulgaraException e) {
		    e.printStackTrace();
		}
	}

}
