/*
 * Copyright 2013 Agustina Martinez-Garcia

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
 */
package uk.ljmu.qudexapps.swfspreadsheet.domain;

import java.io.Serializable;

public class DdiObject implements Serializable {

    /**
     * 
     */
    private static final long serialVersionUID = 8120022361988386167L;
    private String samplingProcedure;
    private String universe;
    private String timeMethod;
    private String dataCollector;
    private String collectionMode;
    private String description;
    
    public DdiObject() {
	this.collectionMode = "";
	this.dataCollector = "";
	this.samplingProcedure = "";
	this.timeMethod = "";
	this.universe = "";
    }
    /**
     * @param samplingProcedure the samplingProcedure to set
     */
    public void setSamplingProcedure(String samplingProcedure) {
	this.samplingProcedure = samplingProcedure;
    }
    /**
     * @return the samplingProcedure
     */
    public String getSamplingProcedure() {
	return samplingProcedure;
    }
    /**
     * @param universe the universe to set
     */
    public void setUniverse(String universe) {
	this.universe = universe;
    }
    /**
     * @return the universe
     */
    public String getUniverse() {
	return universe;
    }
    /**
     * @param timeMethod the timeMethod to set
     */
    public void setTimeMethod(String timeMethod) {
	this.timeMethod = timeMethod;
    }
    /**
     * @return the timeMethod
     */
    public String getTimeMethod() {
	return timeMethod;
    }
    /**
     * @param dataCollector the dataCollector to set
     */
    public void setDataCollector(String dataCollector) {
	this.dataCollector = dataCollector;
    }
    /**
     * @return the dataCollector
     */
    public String getDataCollector() {
	return dataCollector;
    }
    /**
     * @param collectionMode the collectionMode to set
     */
    public void setCollectionMode(String collectionMode) {
	this.collectionMode = collectionMode;
    }
    /**
     * @return the collectionMode
     */
    public String getCollectionMode() {
	return collectionMode;
    }
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
}
