/*
 * Copyright 2013 Agustina Martinez-Garcia

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
 */
package uk.ljmu.qudexapps.swfspreadsheet.domain;

import java.io.Serializable;

import com.hp.hpl.jena.rdf.model.Model;

public class MdSchema implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -3257114671982500399L;
	private String prefix;
	private String readableName;
	private transient Model schemaModel;

	public void setPrefix(String prefix) {
		this.prefix = prefix;
	}
	public String getPrefix() {
		return prefix;
	}

	public void setReadableName(String readableName) {
		this.readableName = readableName;
	}
	public String getReadableName() {
		return readableName;
	}
	
	public MdSchema() {
		super();
	}
	public MdSchema(String prefix, String readableName) {
		super();
		this.prefix = prefix;
		this.readableName = readableName;
	}
	public void setSchemaModel(Model schemaModel) {
		this.schemaModel = schemaModel;
	}
	public Model getSchemaModel() {
		return schemaModel;
	}
}
