/*
 * Copyright 2013 Agustina Martinez-Garcia

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
 */
package uk.ljmu.metadata.schemas;

public class SchemaElem 
{
	private String namespace = "";
	private String label = "";
	private String type = "";
	private String comment = "";
	private String elementName = "";
	private String propertyValueType = "";
	/**
	 * @return the namespace
	 */
	public String getNamespace() {
		return namespace;
	}
	/**
	 * @param namespace the namespace to set
	 */
	public void setNamespace(String namespace) {
		this.namespace = namespace;
	}
	/**
	 * @return the label
	 */
	public String getLabel() {
		return label;
	}
	/**
	 * @param label the label to set
	 */
	public void setLabel(String label) {
		this.label = label;
	}
	/**
	 * @return the type
	 */
	public String getType() {
		return type;
	}
	/**
	 * @param type the type to set
	 */
	public void setType(String type) {
		this.type = type;
	}
	/**
	 * @return the comment
	 */
	public String getComment() {
		return comment;
	}
	/**
	 * @param comment the comment to set
	 */
	public void setComment(String comment) {
		this.comment = comment;
	}
	/**
	 * @param comment the comment to set
	 */
	public void setElementName(String elementName) {
		this.elementName = elementName;
	}
	/**
	 * @param comment the comment to set
	 */
	public String getElementName() {
		return elementName;
	}
	/**
	 * @param propertyValueType the propertyValueType to set
	 */
	public void setPropertyValueType(String propertyValueType) {
		this.propertyValueType = propertyValueType;
	}
	/**
	 * 
	 * @return element propertyValueType
	 */
	public String getPropertyValueType() {
		return propertyValueType;
	}
	/**
	 * Default Constructor
	 */
	public SchemaElem()
	{
		
	}
	public SchemaElem(String namespace, String label, String type,
			String comment, String elementName, String propertyValueType) {
		super();
		this.namespace = namespace;
		this.label = label;
		this.type = type;
		this.comment = comment;
		this.elementName = elementName;
		this.propertyValueType = propertyValueType;
	}
}
