/*
 * Copyright 2013 Agustina Martinez-Garcia

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
 */
package uk.ljmu.mulgaraifz.model;

import java.io.Serializable;

public class DublinCore implements Serializable {

    /**
     * 
     */
    private static final long serialVersionUID = -3587977477289651995L;
    private String dcDescription;
    private String dcTitle;
    private String dcDate;
    private String dcIdentifier;
    private String dcSource;
    private String dcType;
    private String dcCreator;
    private int numberOfResources;

    /**
     * @return the numberOfResources
     */
    public int getNumberOfResources() {
	return numberOfResources;
    }

    /**
     * @param numberOfResources
     *            the numberOfResources to set
     */
    public void setNumberOfResources(int numberOfResources) {
	this.numberOfResources = numberOfResources;
    }

    /**
     * @return the dcCreator
     */
    public String getDcCreator() {
	return dcCreator;
    }

    /**
     * @param dcCreator
     *            the dcCreator to set
     */
    public void setDcCreator(String dcCreator) {
	this.dcCreator = dcCreator;
    }

    /**
     * @return the dcDescription
     */
    public String getDcDescription() {
	return dcDescription;
    }

    /**
     * @param dcDescription
     *            the dcDescription to set
     */
    public void setDcDescription(String dcDescription) {
	this.dcDescription = dcDescription;
    }

    /**
     * @return the dcTitle
     */
    public String getDcTitle() {
	return dcTitle;
    }

    /**
     * @param dcTitle
     *            the dcTitle to set
     */
    public void setDcTitle(String dcTitle) {
	this.dcTitle = dcTitle;
    }

    /**
     * @return the dcDate
     */
    public String getDcDate() {
	return dcDate;
    }

    /**
     * @param dcDate
     *            the dcDate to set
     */
    public void setDcDate(String dcDate) {
	this.dcDate = dcDate;
    }

    /**
     * @return the dcIdentifier
     */
    public String getDcIdentifier() {
	return dcIdentifier;
    }

    /**
     * @param dcIdentifier
     *            the dcIdentifier to set
     */
    public void setDcIdentifier(String dcIdentifier) {
	this.dcIdentifier = dcIdentifier;
    }

    /**
     * @return the dcSource
     */
    public String getDcSource() {
	return dcSource;
    }

    /**
     * @param dcSource
     *            the dcSource to set
     */
    public void setDcSource(String dcSource) {
	this.dcSource = dcSource;
    }

    /**
     * @return the dcType
     */
    public String getDcType() {
	return dcType;
    }

    /**
     * @param dcType
     *            the dcType to set
     */
    public void setDcType(String dcType) {
	this.dcType = dcType;
    }
}