/*
 * Copyright 2013 Agustina Martinez-Garcia

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
 */
package uk.da.dext.utilities;

public class Constants {

	/**
	 * Separator for categories within qudex instance in the spreadsheet
	 */
	public static final String QUDEX_REF_CAT_SEPARATOR = " ";
	public static final String HIERARCHY_CAT_SEPARATOR = ":";
	public static final String FEDORA_MEMBER_1 = "rel:isMemberOf";
	public static final String FEDORA_MEMBER_2 = "rel:isMemberOfCollection";
	public static final String FEDORA_IS_PART = "rel:isPartOf";
	public static final String QUDEX_SOURCE_LOCATION_TYPE = "PID";
	
	public static enum OTHER_RELATIONSHIPS  {
	  IS_ANNOTATION_OF,
	  IS_ANNOTATED_BY
	};
}
