/*
 * Copyright 2013 Agustina Martinez-Garcia

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
 */
package uk.ljmu.qudexapps.manager.domain;

public class Relation {
	private String subjectRelation;
	private String relationName;
	private String objectRelation;
	
	public String getSubjectRelation() {
		return subjectRelation;
	}
	public void setSubjectRelation(String subjectRelation) {
		this.subjectRelation = subjectRelation;
	}
	public String getRelationName() {
		return relationName;
	}
	public void setRelationName(String relationName) {
		this.relationName = relationName;
	}
	public String getObjectRelation() {
		return objectRelation;
	}
	public void setObjectRelation(String objectRelation) {
		this.objectRelation = objectRelation;
	}
	
	public Relation() {
		
	}
	
	public Relation(String subj, String name, String obj) {
		this.objectRelation = obj;
		this.subjectRelation = subj;
		this.relationName = name;
	}
}
